# Preference-based design optimization for rail level crossings

Author: Y. Shang

Section of Integral Design and Management, Department of Materials, Mechanics, Management & Design, Faculty of Civil Engineering and Geosciences, Delft University of Technology

Contact Information:
y.shang@tudelft.nl

## General Information

This data and code files are developed as part of Yue Shang's PhD Thesis project, which is associated with the publication titled Multi-stakeholder service life design for rail level crossings ([doi: 10.1201/9781003323020-115](https://research.tudelft.nl/en/publications/multi-stakeholder-service-life-design-for-rail-level-crossings)). It is being made public as supplementary data for the thesis of Yue Shang for review and reproduction purposes.

The data in .mat files are developed based on UQLab version 2.0.0, the Framework for Uncertainty Quantification. Therefore, the files are intended to work with this package. The readers are referred to this [website](https://www.uqlab.com/) for details of this package.

## Prerequisites and installation

The system requirements to run the files are: MATLAB® R2020a or later, with toolboxes installed including Optimization toolbox and Global Optimization toolbox. In addition, the UQLab package should be properly installed before running the attached files. The basic installation is referred to this [website](https://www.uqlab.com/install).


## License

This project is licensed under the [Apache License, version 2.0](https://www.apache.org/licenses/LICENSE-2.0).